{% for trick in tricks %}
    {% set imageSource = trick.photos.first != false ? trick.photos.first.filename : 'image-placeholder.png' %}
    <div class="col-12 col-sm-6 col-md-3 p-0 my-3">
        <div class="card card-trick px-0">
            <img src="{{ asset('uploadedPhotos/' ~ imageSource) }}" alt="Trick photo"
                 class="img-fluid card-img-top border-bottom" style="height: 200px;object-fit: cover;">
            <div class="card-body">
                <a href="{{ path('tricks_show', {slug: trick.slug}) }}"
{#                   class="stretched-link"#}
                >
                    {{ trick.name }}
                </a>
                {% if is_granted('IS_AUTHENTICATED_FULLY') %}
                    <div class="pull-right d-flex media">
                        <div>
                            <a href="{{ path('tricks_update', {id: trick.id}) }}" data-title="Modifier" data-toggle="tooltip"
                               data-placement="top">
                                <i class="fa fa-pencil text-navy-blue mr-2"></i>
                            </a>
                        </div>
                        <div class="ml-1">
                            <a href="#" data-toggle="tooltip" data-title="Supprimer" data-placement="top">
                                <i class="fa fa-trash text-danger"></i>
                            </a>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>
    </div>
{% endfor %}
